Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.mail
Class MailException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.compoze.util.NestedException
                        |
                        +--com.compoze.mail.MailException

All Implemented Interfaces:
  java.io.Serializable

public class MailException
extends NestedException
implements java.io.Serializable

This exception wraps exceptions that can be thrown during a mail session.

See Also:
  Serialized Form

Constructor Summary
`MailException()` Constructor.
`MailException(java.lang.Exception e)` Constructor.
`MailException(java.lang.Exception e, java.lang.String sMessage)` Constructor.
`MailException(java.lang.String sMessage)` Constructor.
`MailException(java.lang.Throwable t)` Constructor.
`MailException(java.lang.Throwable t, java.lang.String sMessage)` Constructor.

Methods inherited from class com.compoze.util.NestedException
`getNestedException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MailException

    public MailException()

  Constructor.

### MailException

    public MailException(java.lang.String sMessage)

  Constructor.
  Parameters:
    `sMessage` - a detailed message for the exception

### MailException

    public MailException(java.lang.Exception e)

  Constructor.
  Parameters:
    `e` - the underlying exception

### MailException

    public MailException(java.lang.Exception e,
                         java.lang.String sMessage)

  Constructor.
  Parameters:
    `e` - the underlying exception
    `sMessage` - a detail message for the exception

### MailException

    public MailException(java.lang.Throwable t)

  Constructor.
  Parameters:
    `t` - the underlying throwable

### MailException

    public MailException(java.lang.Throwable t,
                         java.lang.String sMessage)

  Constructor.
  Parameters:
    `t` - the underlying throwable
    `sMessage` - a detail message for the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.